<?php
/*
 * $Horde: passwd/index.php,v 1.1.1.1.2.8 2005/01/03 11:26:02 jan Exp $
 *
 * Copyright 2002-2005 Eric Jon Rostetter <eric.rostetter@physics.utexas.edu>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/bsdl.php.
 */

define('PASSWD_BASE', dirname(__FILE__));
$passwd_configured = ( (@is_readable(PASSWD_BASE . '/config/conf.php')) &&
                       (@is_readable(PASSWD_BASE . '/config/backends.php')) );

if ($passwd_configured) {
    include_once PASSWD_BASE . '/lib/base.php';
    $uri = 'main.php';
    if (!empty($_SERVER['QUERY_STRING'])) {
       $uri .= '?' . $_SERVER['QUERY_STRING'];
    }
    header('Location: ' . Horde::applicationUrl($uri, true));
    exit;
} else {
    /* Passwd isn't configured */
    $title = 'Passwd module is not fully configured.';
    include PASSWD_BASE . '/templates/index/notconfigured.inc';
}

?>
